com.thinkaurelius.titan.graphdb.transaction.addedrelations

## Class SimpleAddedRelations

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<InternalRelation>
      - - com.thinkaurelius.titan.graphdb.transaction.addedrelations.SimpleAddedRelations

- All Implemented Interfaces:
    AddedRelationsContainer, Serializable, Cloneable, Iterable<InternalRelation>, Collection<InternalRelation>, List<InternalRelation>, RandomAccess
  Direct Known Subclasses:
    ConcurrentAddedRelations

      public class SimpleAddedRelations
      extends ArrayList<InternalRelation>
      implements AddedRelationsContainer

  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.transaction.addedrelations.AddedRelationsContainer

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleAddedRelations()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(InternalRelation relation)`
    `Collection<InternalRelation>` | `getAll()` This method returns all relations in this container.
    `List<InternalRelation>` | `getView(com.google.common.base.Predicate<InternalRelation> filter)`
    `boolean` | `remove(InternalRelation relation)`

    - ### Methods inherited from class java.util.ArrayList

      `add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.transaction.addedrelations.AddedRelationsContainer

      `isEmpty`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### SimpleAddedRelations

          public SimpleAddedRelations()

  - ### Method Detail

    - #### add

          public boolean add(InternalRelation relation)

      Specified by:
        `add` in interface `AddedRelationsContainer`
      Specified by:
        `add` in interface `Collection<InternalRelation>`
      Specified by:
        `add` in interface `List<InternalRelation>`
      Overrides:
        `add` in class `ArrayList<InternalRelation>`

    - #### remove

          public boolean remove(InternalRelation relation)

      Specified by:
        `remove` in interface `AddedRelationsContainer`

    - #### getView

          public List<InternalRelation> getView(com.google.common.base.Predicate<InternalRelation> filter)

      Specified by:
        `getView` in interface `AddedRelationsContainer`

    - #### getAll

          public Collection<InternalRelation> getAll()

      Description copied from interface: `AddedRelationsContainer`
      This method returns all relations in this container. It may only be invoked at the end of the transaction after there are no additional changes. Otherwise the behavior is non deterministic.
      Specified by:
        `getAll` in interface `AddedRelationsContainer`
      Returns:

Copyright © 2012–2014. All rights reserved.